#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	if [ -f "${project}/dist.sh" ]
	then
		echo "$0: Copying dist.sh to '${project}' ..."
		cp -v dist.sh "${project}/" || exit 255
	fi

	if [ ! -d "${project}/docs" -o "$1" = "f" ]
	then
		echo "$0: GNU-ifying project '${project}' ..."
		cp -rv docs "${project}/" || exit 255
		cd "${JPROJECTS_HOME}/${project}"
		echo "$0: git add ..."
		git add docs || exit 255
		echo "$0: git rm ..."
		git rm -f COPYING
		echo "$0: git mv ..."
		git mv docs/COPYING . || exit 255
		cd "${JPROJECTS_HOME}"
	else
		echo "$0: Project '${project}' already prepared."
	fi
done

echo "$0: All done."
exit 0
